%undefine __cmake_in_source_build
Summary: KDE Frameworks 5 Tier 3 addon with extensible daemon for system-level services
Name:    kf5-kded
Version: 5.110.0
%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Release: 1%{?dist}
License: LGPLv2+
URL:     https://invent.kde.org/frameworks/kded
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/kded-%{version}.tar.xz
BuildRequires:  extra-cmake-modules >= %{majmin}, kf5-rpm-macros, systemd-rpm-macros
BuildRequires:  kf5-kconfig-devel >= %{majmin}, kf5-kcoreaddons-devel >= %{majmin}, kf5-kcrash-devel >= %{majmin}, kf5-kdbusaddons-devel >= %{majmin}, kf5-kdoctools-devel >= %{majmin}, kf5-kservice-devel >= %{majmin}
BuildRequires:  qt5-qtbase-devel



%description
KDED stands for KDE Daemon which isn't very descriptive. KDED runs
in the background and performs a number of small tasks. Some of these
tasks are built in, others are started on demand.

Custom KDED modules can be provided by 3rd party frameworks and
applications.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%autosetup -n kded-%{version}



%build
%{cmake_kf5}
%cmake_build



%install
%cmake_install

%find_lang kded5 --with-man --without-mo

mkdir -p %{buildroot}%{_kf5_plugindir}/kded



%post
%systemd_user_post  plasma-kded.service

%preun
%systemd_user_preun plasma-kded.service



%files -f kded5.lang
%license LICENSES/*.txt
%doc README.md
%{_kf5_bindir}/kded5
%{_kf5_datadir}/qlogging-categories5/kded.*
%{_kf5_datadir}/applications/org.kde.kded5.desktop
%{_kf5_datadir}/dbus-1/services/*.service
%{_kf5_datadir}/kservicetypes5/*.desktop
%{_kf5_mandir}/man8/kded5.8*
%dir %{_kf5_plugindir}/kded/
%{_userunitdir}/plasma-kded.service

%files devel
%{_kf5_libdir}/cmake/KDED/
%{_kf5_datadir}/dbus-1/interfaces/*.xml



%changelog
* Thu Nov 23 2023 Zhao Zhen <jeremiazhao@tencent.com> - 5.110.0-1
- initial